html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}

#landing {
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.scena {
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#scena-musica {
    color: #ffffff;
    background-image: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url('img/spotify-infinito.png');
    background-size: cover;
    background-position: center;
}

.indicatore-scroll {
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.freccia {
    margin-top: 20px;
    width: 30px;
    height: 30px;
    animation: rimbalzo 2s infinite;
}

@keyframes rimbalzo {

    0%,
    20%,
    50%,
    80%,
    100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-15px);
    }
    60% {
        transform: translateY(-7px);
    }
}

#scena-fulmi-spagna {
    flex-direction: row;
    gap: 150px;
}

#scena-fulmi-spagna iframe {
    opacity: 0.8;
    transition: opacity 0.2s ease;
}

#scena-fulmi-spagna iframe:hover {
    opacity: 1;
}

.colonna-testo {
    max-width: 400px;
}

.pulsantiera {
    display: flex;
    gap: 20px;
    margin-top: 30px;
    align-items: center;
}

.pulsantiera img {
    height: 48px;
    width: auto;
    display: block;
}

.wallet-button {
    transition: opacity 0.2s ease;
}

.wallet-button:hover {
    opacity: 0.8;
}

.calendar-button {
    background-color: #1f1f1f;
    color: white;
    height: 46px;
    padding: 0 20px;
    border-radius: 40px;
    border: 1px solid #747775;
    text-decoration: none;
    font-family: 'Google Sans', 'Roboto', sans-serif;
    font-size: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    transition: opacity 0.2s ease;
}

.calendar-button:hover {
    opacity: 0.8;
}

.calendar-button .material-symbols-outlined {
    font-size: 32px;
}

#scena-fulmi-spagna {
    color: #ffffff;
    background-image: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url('img/fulminacci-poster.jpg');
    background-size: cover;
    background-position: center;
}

.scena>* {
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.8s ease-out;
}

.scena>*.visibile {
    opacity: 1;
    transform: translateY(0);
}